#
# spec file for package python-bobodoctestumentation
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-bobodoctestumentation
Version:        2.4.0
Release:        3.10
Summary:        Bobo tests and documentation
License:        ZPL-2.1
Group:          Development/Languages/Python
URL:            http://www.python.org/pypi/bobodoctestumentation
# pypi package is outdated
Source:         https://github.com/zopefoundation/bobo/archive/2.4.0.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module WebTest}
BuildRequires:  %{python_module bobo}
BuildRequires:  %{python_module manuel}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module zope.testing}
# /SECTION
BuildRequires:  fdupes
Requires:       python-WebTest
Requires:       python-manuel
Requires:       python-six
Requires:       python-zope.testing
BuildArch:      noarch

%python_subpackages

%description
The bobo documentation and tests are broken out into a separate project
to keep the bobo distribution as small as possible.

This package provides documentation and tests for the bobo package.

%prep
%setup -q -n bobo-%{version}/bobodoctestumentation

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# following does nothing; not sure where to find bobo.testmodule1
#%%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/*

%changelog
* Tue Oct 12 2021 pgajdos@suse.com
- note that setup.py test does not test anything
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sat Aug 19 2017 sebix+novell.com@sebix.at
- initial package
